package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="com-ym-OperatingReport")
public class OperatingReport {
    @ApiModelProperty(value="")
    private Integer id;

    /**
    * 分部id
    */
    @ApiModelProperty(value="分部id")
    private Integer organId;

    @ApiModelProperty(value="分部名称")
    private String organName;

    /**
    * 学校id
    */
    @ApiModelProperty(value="合作单位id")
    private Integer cooperationOrganId;

    @ApiModelProperty(value="学校名称")
    private String schoolName;

    /**
    * 销售收入
    */
    @ApiModelProperty(value="销售收入")
    private BigDecimal sellAmount = BigDecimal.ZERO;

    /**
     * 不确定收入
     */
    @ApiModelProperty(value="不确定收入")
    private BigDecimal otherIncome = BigDecimal.ZERO;

    /**
     * 服务收入
     */
    @ApiModelProperty(value="服务收入")
    private BigDecimal serviceAmount = BigDecimal.ZERO;

    /**
    * 业务退费
    */
    @ApiModelProperty(value="业务退费")
    private BigDecimal refundAmount = BigDecimal.ZERO;

    /**
    * 收入合计
    */
    @ApiModelProperty(value="收入合计")
    private BigDecimal incomeTotal = BigDecimal.ZERO;

    /**
    * 销售成本
    */
    @ApiModelProperty(value="销售成本")
    private BigDecimal sellCost = BigDecimal.ZERO;

    /**
    * 固定支出
    */
    @ApiModelProperty(value="固定支出")
    private BigDecimal expensesAmount = BigDecimal.ZERO;

    /**
    * 变动支出
    */
    @ApiModelProperty(value="变动支出")
    private BigDecimal variableCost = BigDecimal.ZERO;

    /**
    * 分摊费用
    */
    @ApiModelProperty(value="分摊费用")
    private BigDecimal distributionAmount = BigDecimal.ZERO;

    /**
    * 成本费用合计
    */
    @ApiModelProperty(value="成本费用合计")
    private BigDecimal costAmount = BigDecimal.ZERO;

    /**
    * 利润
    */
    @ApiModelProperty(value="利润")
    private BigDecimal profit = BigDecimal.ZERO;

    /**
    * 月份
    */
    @ApiModelProperty(value="月份")
    private Date month;

    /**
    * 生成时间
    */
    @ApiModelProperty(value="生成时间")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public BigDecimal getSellAmount() {
        return sellAmount;
    }

    public void setSellAmount(BigDecimal sellAmount) {
        this.sellAmount = sellAmount;
    }

    public BigDecimal getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(BigDecimal serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public BigDecimal getIncomeTotal() {
        return incomeTotal;
    }

    public void setIncomeTotal(BigDecimal incomeTotal) {
        this.incomeTotal = incomeTotal;
    }

    public BigDecimal getSellCost() {
        return sellCost;
    }

    public void setSellCost(BigDecimal sellCost) {
        this.sellCost = sellCost;
    }

    public BigDecimal getExpensesAmount() {
        return expensesAmount;
    }

    public void setExpensesAmount(BigDecimal expensesAmount) {
        this.expensesAmount = expensesAmount;
    }

    public BigDecimal getVariableCost() {
        return variableCost;
    }

    public void setVariableCost(BigDecimal variableCost) {
        this.variableCost = variableCost;
    }

    public BigDecimal getDistributionAmount() {
        return distributionAmount;
    }

    public void setDistributionAmount(BigDecimal distributionAmount) {
        this.distributionAmount = distributionAmount;
    }

    public BigDecimal getCostAmount() {
        return costAmount;
    }

    public void setCostAmount(BigDecimal costAmount) {
        this.costAmount = costAmount;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public BigDecimal getOtherIncome() {
        return otherIncome;
    }

    public void setOtherIncome(BigDecimal otherIncome) {
        this.otherIncome = otherIncome;
    }
}